#
# Conditional build:
%bcond_with	audacious	# without audacious plugin
%bcond_without	xmms		# without xmms plugin
#
Summary:	Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa zapewniająca dźwięk bez przerw
Name:		xmms-crossfade
Version:	0.3.14
Release:	2
License:	GPL v2+
Group:		X11/Applications/Sound
Source0:	http://www.eisenlohr.org/xmms-crossfade/%{name}-%{version}.tar.gz
# Source0-md5:	026c52544c7f3193d384288c9f8296aa
Patch0:		%{name}-only-libs.patch
URL:		http://www.eisenlohr.org/xmms-crossfade/
%{?with_audacious:BuildRequires:	audacious-devel >= 1.4.2}
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.125
%{?with_xmms:BuildRequires:	xmms-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xmms-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -l pl.UTF-8
Możliwości xmms-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%package -n xmms-output-crossfade
Summary:	XMMS Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa dla XMMS-a zapewniająca dźwięk bez przerw
Group:		X11/Applications/Sound
Requires:	xmms
Provides:	xmms-output-plugin

%description -n xmms-output-crossfade
xmms-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -n xmms-output-crossfade -l pl.UTF-8
Możliwości xmms-output-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%package -n audacious-output-crossfade
Summary:	Audacious Plugin for Crossfading and Continuous Output
Summary(pl.UTF-8):	Wtyczka wyjściowa dla Audacious zapewniająca dźwięk bez przerw
Group:		X11/Applications/Sound
Requires:	audacious
Provides:	audacious-output-plugin

%description -n audacious-output-crossfade
audacious-output-crossfade features:
- Crossfading: Crossfade between two songs, i.e. fade out the end of
  the current song while fading in the beginning of the next for a
  smooth transition. Length and volume of the fadings can be adjusted
  separately for fading in and out.
- Fadein/Fadeout: Smoothly fadein/fadeout at the beginning or end of
  playback.
- Continuous output: Keeps the audio device opened when switching from
  one song to the next. When used with the Gap-Killer, this allows for
  seamless playback of whole albums without any audible interruption
  between the tracks.
- Gap-Killer: Removes the short gaps of silence at the beginning
  and/or end of MP3 files. These gaps are caused by some MP3-encoders.
- Automatic detection of live albums: Automatically detects live
  albums and pre-mixed tracks which already are crossfaded. For those
  tracks, crossfading can be disabled automatically.
- High quality: XMMS-crossfade can take special care to avoid the
  clicks some soundcards produce when suddenly being stopped. Also, it
  can improve quality when seeking within a song.
- Secondary effect plugin: XMMS-crossfade allows you to select a
  second effect plugin. This is useful for example when using the
  volume normalizing plugin together with the icecast plugin.

%description -n audacious-output-crossfade -l pl.UTF-8
Możliwości audacious-output-crossfade to:
- płynne przechodzenie między dwoma utworami
- płynne wchodzenie i wyciszanie na początku i końcu odtwarzania
- ciągłe odtwarzanie dźwięku, także przy przechodzeniu między
  utworami; w połączeniu z Gap-Killerem daje to możliwość odtworzenia
  całego albumu bez żadnej słyszalnej przerwy
- Gap-Killer - usuwający fragmenty ciszy na początku i końcu plików
  MP3 (spowodowane przez niektóre kodery)
- automatyczne wykrywanie albumów koncertowych i pre-miksowanych, na
  których ścieżki już mają płynne przejścia - dla nich dodawanie
  płynnych przejść może być automatycznie wyłączane
- wysoka jakość - XMMS-crossfade stara się unikać trzasków
  występujących na niektórych kartach dźwiękowych przy zatrzymywaniu
  odtwarzania
- wtyczka dodatkowego efektu: XMMS-crossfade pozwala wybrać dodatkową
  wtyczkę, np. do normalizacji wraz z wtyczką icecast.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%if %{with xmms}
mkdir -p xmms
cd xmms
../%configure \
	--enable-player=xmms
%{__make}
cd ..
%endif

%if %{with audacious}
mkdir -p audacious
cd audacious
../%configure \
	--enable-player=audacious
%{__make}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with xmms}
%{__make} -C xmms install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xmms/Output/libcrossfade.la
%endif

%if %{with audacious}
%{__make} -C audacious install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/audacious/Output/libcrossfade.la
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with xmms}
%files -n xmms-output-crossfade
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_libdir}/xmms/Output/libcrossfade.so
%endif

%if %{with audacious}
%files -n audacious-output-crossfade
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%attr(755,root,root) %{_libdir}/audacious/Output/libcrossfade.so
%endif
%changelog
* Mon Aug 10 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xmms-crossfade.git;a=log;h=master

* Mon Aug 10 2020 Jan Rękorajski <baggins@pld-linux.org> dd14695
- disable audacious plugin, it's broken and audacious has its own plugin for this
- rel 2

* Mon Mar 31 2008 Jakub Bogusz <qboosh@pld-linux.org> 52263a8
- fixed xmms files as well

* Mon Mar 31 2008 Jakub Bogusz <qboosh@pld-linux.org> e4e9d41
- no .la for audacious plugin

* Thu Mar 27 2008 arvenil <arvenil@pld-linux.org> 5b4b367
- up to 0.3.14
- no need for providing %{_libdir}/audacious{,/Output} dirs

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 99be7c4
- GPL v2+

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> e5f6d8a
- updated only-libs patch to avoid BRing plugins trees
- more deps (pkgconfig, libsamplerate-devel)
- no need to copy sources, just use separate builddirs

* Wed Dec 26 2007 Jakub Bogusz <qboosh@pld-linux.org> d46c8a9
- don't BR plugins tree

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> 7f17f5a
- fixed audacious files

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> 63e5301
- 0.3.13
- don't do magic with libdir

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> 099c8bf
- 0.3.13
- add audacious support

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> 4f14f4b
- allow building when only libs are available

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> 420c731
- outdated

* Fri Nov 23 2007 wolf <wolf@pld-linux.org> ad5e2c1
- 0.3.11
- renamed from xmms-output-crossfade to xmms-crossfade, xmms-output-crossfade\
  still exists with xmms plugin inside

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 51bd9b8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 34a3f3c
- converted to UTF-8

* Fri Jan 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 5cb7263
- unified

* Sat Oct 30 2004 paladine <paladine@pld-linux.org> 6ede735
- unification, capitalization, better desc

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 23d8aa4
- "MP3" unification

* Fri Sep 24 2004 paladine <paladine@pld-linux.org> 0c87b32
- updated to 0.3.8

* Sat Sep 18 2004 wolf <wolf@pld-linux.org> ceccc66
- reverted to 0.3.5; 0.3.6 is heavily broken (30% system time usage)

